<?php


require_once "../controladores/cobros.controlador.php";
require_once "../modelos/cobros.modelo.php";

class AjaxContratos{

	/*=============================================
	EDITAR ACTA
	=============================================*/	

	public $idservicio;

	public function ajaxEditarContratos(){

		$item = "idservicios";
		$valor = $this->idservicio;

		$respuesta = ControladorContratos::ctrMostrarContratos($item, $valor);

		echo json_encode($respuesta);


	}
	public function ajaxMostrarCronograma(){

		$item = "idservicios";
		$valor = $this->idservicio;

		$respuesta = ControladorCobros::ctrMostrarCronograma($item, $valor);

		echo json_encode($respuesta);


	}

	public function ajaxMostrarCronogramaPago(){

		$item = "idcronograma_pago";
		$valor = $this->idservicio;

		$respuesta = ControladorCobros::ctrMostrarCronogramaPago($item, $valor);

		echo json_encode($respuesta);


	}


	public function ajaxGuardarPagos(){
			
	
		//$item = "idcronograma_pago";
		$valor = $this->idservicio;
		
		$respuesta = ControladorCobros::ctrGuardarPagos($valor);

		echo json_encode($respuesta);


	}


	public function ajaxEliminarCobro(){

		//$item = "idcronograma_pago";
		$valor = $this->idservicio;

		$respuesta = ControladorCobros::ctrEliminarCobro($valor);

		echo json_encode($respuesta);


	}

	public function ajaxEditarCobro(){

		$item = "idcobros";
		$valor = $this->idservicio;

		$respuesta = ControladorCobros::ctrEditarCobro($item,$valor);

		echo json_encode($respuesta);


	}


	/*=============================================
	ELIMINAR COBROS O DESACTIVAR
	=============================================*/	

	public $desactivarCobros;
	public $activarId;


	public function ajaxDesactivarCobros(){

		$tabla = "cobros";

		$item1 = "estado";
		$valor1 = $this->desactivarCobros;

		$item2 = "idcobros";
		$valor2 = $this->activarId;

		$respuesta = ModeloCobros::mdlDesactivarCobros($tabla, $item1, $valor1, $item2, $valor2);

		

	}
  

	
}


/*=============================================
EDITAR ACTA
=============================================*/	

if(isset($_POST["idservicios"])){

	$persona = new AjaxActasNacimiento();
	$persona -> idPersona = $_POST["idservicios"];
	$persona -> ajaxEditarActaNacimientos();

}



if(isset($_POST["idservicio"])){

	$servicio = new AjaxContratos();
	$servicio -> idservicio = $_POST["idservicio"];
	$servicio -> ajaxMostrarCronograma();

}


if(isset($_POST["idcronograma_pago"])){

	$servicio = new AjaxContratos();
	$servicio -> idservicio = $_POST["idcronograma_pago"];
	$servicio -> ajaxMostrarCronogramaPago();

}


if(isset($_POST["arreglo"])){

	$data = json_decode($_POST["arreglo"],true);

	$servicio = new AjaxContratos();
	$servicio -> idservicio = $data;
	$servicio -> ajaxGuardarPagos();

}



if(isset($_POST["idcronograma"])){

	$servicio = new AjaxContratos();
	$servicio -> idservicio = $_POST["idcronograma"];
	$servicio -> ajaxEliminarCobro();

}




if(isset($_POST["editarCobros"])){

	$servicio = new AjaxContratos();
	$servicio -> idservicio = $_POST["editarCobros"];
	$servicio -> ajaxEditarCobro();

}


/*=============================================
ELIMINAR COBROS O DESACTIVAR
=============================================*/	

if(isset($_POST["desactivarCobros"])){

	$desactivarCobros = new AjaxContratos();
	$desactivarCobros -> desactivarCobros = $_POST["desactivarCobros"];
	$desactivarCobros -> activarId = $_POST["activarId"];
	$desactivarCobros -> ajaxDesactivarCobros();

}